regina::Returns< ReturnType_ > Struct Template Reference

A convenience base class for a function object, which does nothing beyond provide a ReturnType typedef. More...

`#include <utilities/registryutils.h>`

## Public Types

typedef ReturnType_ | ReturnType
| Indicates the return type for a function object. More...

## Detailed Description

### template<typename ReturnType_>
struct regina::Returns< ReturnType_ >

A convenience base class for a function object, which does nothing beyond provide a ReturnType typedef.

Specifically, a function object F that returns type T could inherit from the base class Returns<T>. This will ensure that F includes a typedef F::ReturnType representing type T.

See the three-argument forCoords() routine for an example of where such a function object might be used.

Python:
  Not present.

## Member Typedef Documentation

template<typename ReturnType_>

typedef ReturnType_ regina::Returns< ReturnType_ >::ReturnType

Indicates the return type for a function object.

The documentation for this struct was generated from the following file:

- utilities/registryutils.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).